<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bibtex="http://bibtexml.sf.net/">
<xsl:output indent="yes"/>

<xsl:template match="/">
<xsl:apply-templates select="bibtex:file"/>
</xsl:template>

<xsl:template match="file">
<xsl:apply-templates select="bibtex:entry"/>
</xsl:template>

<xsl:template match="bibtex:entry">
<xsl:apply-templates select="bibtex:article"/>
<xsl:apply-templates select="bibtex:incollection"/>
</xsl:template>

<xsl:template match="bibtex:incollection">
Robert Ian McKay <xsl:text> &#x09; </xsl:text> <xsl:apply-templates select="bibtex:author"/> <xsl:text> &#x09; </xsl:text> ISI_Loc <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:series"/> <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:volume"/> <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:pages"/> <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:year"/> <xsl:text> &#x09; </xsl:text> KCODE <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:year"/> <xsl:text> &#x09; </xsl:text> TOT_CITES <xsl:text> &#x09; </xsl:text> XCR <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:title"/> <xsl:text> &#x09; </xsl:text> PERCENTILE <xsl:text> &#x09; </xsl:text> RATIO <xsl:text> &#x09; </xsl:text> CATCODE <xsl:text> &#x09; </xsl:text> PERCENTILE <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:series"/> <xsl:text> &#x09; </xsl:text> CITES <xsl:text> &#x09; </xsl:text> DOI
</xsl:template>


<xsl:template match="bibtex:article">
Robert Ian McKay <xsl:text> &#x09; </xsl:text> <xsl:apply-templates select="bibtex:author"/> <xsl:text> &#x09; </xsl:text> ISI_Loc <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:journal"/> <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:volume"/> <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:pages"/> <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:year"/> <xsl:text> &#x09; </xsl:text> KCODE <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:year"/> <xsl:text> &#x09; </xsl:text> TOT_CITES <xsl:text> &#x09; </xsl:text> XCR <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:title"/> <xsl:text> &#x09; </xsl:text> PERCENTILE <xsl:text> &#x09; </xsl:text> RATIO <xsl:text> &#x09; </xsl:text> CATCODE <xsl:text> &#x09; </xsl:text> PERCENTILE <xsl:text> &#x09; </xsl:text> <xsl:value-of select="bibtex:journal"/> <xsl:text> &#x09; </xsl:text> CITES <xsl:text> &#x09; </xsl:text> DOI
</xsl:template>

<xsl:template match="bibtex:author">
<xsl:apply-templates select="bibtex:person"/>
</xsl:template>

<xsl:template match="bibtex:person">
<xsl:value-of select="."/><xsl:text> </xsl:text>
</xsl:template>

</xsl:stylesheet>
