<?xml version="1.0"?>
<!DOCTYPE stylesheet [
<!ENTITY timestamp SYSTEM "timestamp.txt">
<!ENTITY sq "<xsl:text disable-output-escaping='yes'> &amp;#147; </xsl:text>">
<!ENTITY eq "<xsl:text disable-output-escaping='yes'> &amp;#148; </xsl:text>">
]>
<xsl:stylesheet version="2.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bibtex="http://bibtexml.sf.net/">
<xsl:output method="text" omit-xml-declaration="yes"
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
  doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>

<xsl:template match="/">
/*		PLEASE DO NOT EDIT THIS FILE		*/	
/*		IT IS AUTOMATICALLY CREATED		*/
/* Any changes you might make will just get overwritten */
/* Instead, please send any needed changes to Bob McKay */
<xsl:apply-templates select="bibtex:file"/>
</xsl:template>

<xsl:template match="bibtex:file">

====== Journal Papers ======
<xsl:apply-templates select="bibtex:entry/bibtex:article">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>

====== Keynote Addresses etc. ======
<xsl:apply-templates select="bibtex:entry/bibtex:unpublished">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>

====== Refereed Book Chapters ======
<xsl:apply-templates select="bibtex:entry/bibtex:incollection">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>

====== Refereed Conference Papers ======
<xsl:apply-templates select="bibtex:entry/bibtex:inproceedings">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>

====== Books and Conference Proceedings ======
<xsl:apply-templates select="bibtex:entry/bibtex:proceedings">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>

====== Edited Journal Issues, Etc. ======
<xsl:apply-templates select="bibtex:entry/bibtex:misc">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>

====== Technical Reports ======
<xsl:apply-templates select="bibtex:entry/bibtex:techreport">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>

</xsl:template>

<xsl:template match="bibtex:article">
  - <xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:journal"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
<xsl:apply-templates select="bibtex:url1"/>
</xsl:template>

<xsl:template match="bibtex:incollection">
  - <xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:text>in </xsl:text><xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
<xsl:apply-templates select="bibtex:url1"/>
</xsl:template>

<xsl:template match="bibtex:inproceedings">
  - <xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:text>in </xsl:text><xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
<xsl:apply-templates select="bibtex:url1"/>
</xsl:template>

<xsl:template match="bibtex:unpublished">
  - <xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:howpublished"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:location"/>
<xsl:apply-templates select="bibtex:note"/>
<xsl:apply-templates select="bibtex:url1"/>
</xsl:template>

<xsl:template match="bibtex:proceedings">
  - <xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:url1"/>
</xsl:template>

<xsl:template match="bibtex:misc">
  - <xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:journal"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:url1"/>
</xsl:template>

<xsl:template match="bibtex:techreport">
  - <xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:institution"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:url1"/>
</xsl:template>

<xsl:template match="bibtex:title">
  <xsl:choose>
    <xsl:when test="../bibtex:url">      
       <xsl:text>[[</xsl:text><xsl:value-of select="../bibtex:url"/><xsl:text>|</xsl:text><xsl:value-of select="."/><xsl:text>]]</xsl:text>  
       <xsl:text>, </xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="."/><xsl:text>, </xsl:text>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="bibtex:booktitle">
<xsl:value-of select="."/><xsl:text>, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:editor">
<xsl:value-of select="."/><xsl:text> (eds), </xsl:text>
</xsl:template>

<xsl:template match="bibtex:journal">
<xsl:value-of select="."/><xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="bibtex:volume">
<xsl:text> **</xsl:text><xsl:value-of select="."/><xsl:text>**</xsl:text>
</xsl:template>

<xsl:template match="bibtex:publisher">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:number">
<xsl:text>(</xsl:text><xsl:value-of select="."/><xsl:text>)</xsl:text>
</xsl:template>

<xsl:template match="bibtex:month">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:year">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:location">
<xsl:text>, </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:note">
<xsl:text>, </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:pages">
<xsl:text>, Pp. </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:url1">    
  <xsl:text>[[</xsl:text><xsl:value-of select="."/><xsl:text>|Link]]</xsl:text>    
</xsl:template>

<xsl:template match="bibtex:author[not(empty(./*))]">
<xsl:apply-templates select="bibtex:person"/>
</xsl:template>

<xsl:template match="bibtex:author[empty(./*)]">
<xsl:text>//</xsl:text><xsl:value-of select="."/><xsl:text>//, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:person[contains(.,'McKay')]">
<xsl:text>//</xsl:text><xsl:value-of select="."/><xsl:text>//, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:person[not(contains(.,'McKay'))]">
<xsl:value-of select="."/><xsl:text>, </xsl:text>
</xsl:template>

</xsl:stylesheet>
