<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:bibtex="http://bibtexml.sf.net/"
xmlns:fo ="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
  <xsl:template match="/">
    <fo:root xmlns:fo ="http://www.w3.org/1999/XSL/Format">
<!-- page layout here -->
      <fo:layout-master-set>
        <fo:simple-page-master 
            master-name="A4" 
            page-height="297mm" 
            page-width="210mm" 
            margin-top="15mm" 
            margin-bottom="20mm" 
            margin-left="25mm" 
            margin-right="25mm" 
            writing-mode="lr-tb">
          <fo:region-body margin-top="5mm" margin-bottom="15mm"/>
          <fo:region-before extent = "15mm"/>
          <fo:region-after extent = "15mm"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <fo:page-sequence master-reference="A4">

<!-- header-->        
          <fo:static-content flow-name="xsl-region-before">
            <fo:block text-align = "left" color = "black" font-size="10pt" font-family="serif" font-style = "italic" font-weight="bold"  line-height="15pt">Publications, R I McKay</fo:block> 
            </fo:static-content>

<!-- footer-->  
      <fo:static-content flow-name="xsl-region-after">
          <fo:block font-size="10pt" font-family="serif" text-align = "right" line-height="15pt">page no. <fo:page-number/></fo:block>
      </fo:static-content>

<!-- body work commences here-->
      <fo:flow flow-name="xsl-region-body">
        <xsl:apply-templates select="bibtex:file"/>
      </fo:flow>
    </fo:page-sequence>
  </fo:root>
</xsl:template>

<!-- templates to be matched here -->

<xsl:template match="bibtex:file">

  <fo:block font-size="14pt" font-family="Times, serif" font-weight="bold" line-height="25pt" text-align="left">Journal Papers</fo:block>
    <fo:list-block>
       <xsl:for-each select="bibtex:entry/bibtex:article">
        <xsl:sort select="bibtex:year" order="descending"/>
          <fo:list-item>
            <fo:list-item-label end-indent="label-end()">
              <fo:block>
                <xsl:number value="position()" format="1. "/>
              </fo:block>
            </fo:list-item-label>
            <fo:list-item-body start-indent="body-start()">
              <fo:block text-align = "justify">
                <xsl:apply-templates select="."/>
              </fo:block>
            </fo:list-item-body>
          </fo:list-item>
     </xsl:for-each>
  </fo:list-block>

  <fo:block font-size="14pt" font-family="Times, serif" font-weight="bold" line-height="50pt" text-align="left">Keynote Addresses</fo:block>
    <fo:list-block>
       <xsl:for-each select="bibtex:entry/bibtex:unpublished">
        <xsl:sort select="bibtex:year" order="descending"/>
          <fo:list-item>
            <fo:list-item-label end-indent="label-end()">
              <fo:block>
                <xsl:number value="position()" format="1. "/>
              </fo:block>
            </fo:list-item-label>
            <fo:list-item-body start-indent="body-start()">
              <fo:block text-align = "justify">
                <xsl:apply-templates select="."/>
              </fo:block>
            </fo:list-item-body>
          </fo:list-item>
     </xsl:for-each>
  </fo:list-block>

  <fo:block font-size="14pt" font-family="Times, serif" font-weight="bold" line-height="50pt" text-align="left">Refereed Book Chapters</fo:block>
    <fo:list-block>
       <xsl:for-each select="bibtex:entry/bibtex:incollection">
        <xsl:sort select="bibtex:year" order="descending"/>
          <fo:list-item>
            <fo:list-item-label end-indent="label-end()">
              <fo:block>
                <xsl:number value="position()" format="1. "/>
              </fo:block>
            </fo:list-item-label>
            <fo:list-item-body start-indent="body-start()">
              <fo:block text-align = "justify">
                <xsl:apply-templates select="."/>
              </fo:block>
            </fo:list-item-body>
          </fo:list-item>
     </xsl:for-each>
  </fo:list-block>

  <fo:block font-size="14pt" font-family="Times, serif" font-weight="bold" line-height="50pt" text-align="left">Refereed Conference Papers</fo:block>
    <fo:list-block>
       <xsl:for-each select="bibtex:entry/bibtex:inproceedings">
        <xsl:sort select="bibtex:year" order="descending"/>
          <fo:list-item>
            <fo:list-item-label end-indent="label-end()">
              <fo:block>
                <xsl:number value="position()" format="1. "/>
              </fo:block>
            </fo:list-item-label>
            <fo:list-item-body start-indent="body-start()">
              <fo:block text-align = "justify">
                <xsl:apply-templates select="."/>
              </fo:block>
            </fo:list-item-body>
          </fo:list-item>
     </xsl:for-each>
  </fo:list-block>

  <fo:block font-size="14pt" font-family="Times, serif" font-weight="bold" line-height="50pt" text-align="left">Books and Conference Proceedings</fo:block>
    <fo:list-block>
       <xsl:for-each select="bibtex:entry/bibtex:proceedings">
        <xsl:sort select="bibtex:year" order="descending"/>
          <fo:list-item>
            <fo:list-item-label end-indent="label-end()">
              <fo:block>
                <xsl:number value="position()" format="1. "/>
              </fo:block>
            </fo:list-item-label>
            <fo:list-item-body start-indent="body-start()">
              <fo:block text-align = "justify">
                <xsl:apply-templates select="."/>
              </fo:block>
            </fo:list-item-body>
          </fo:list-item>
     </xsl:for-each>
  </fo:list-block>

  <fo:block font-size="14pt" font-family="Times, serif" font-weight="bold" line-height="50pt" text-align="left">Journal Issues, Etc.</fo:block>
    <fo:list-block>
       <xsl:for-each select="bibtex:entry/bibtex:misc">
        <xsl:sort select="bibtex:year" order="descending"/>
          <fo:list-item>
            <fo:list-item-label end-indent="label-end()">
              <fo:block>
                <xsl:number value="position()" format="1. "/>
              </fo:block>
            </fo:list-item-label>
            <fo:list-item-body start-indent="body-start()">
              <fo:block text-align = "justify">
                <xsl:apply-templates select="."/>
              </fo:block>
            </fo:list-item-body>
          </fo:list-item>
     </xsl:for-each>
  </fo:list-block>

  <fo:block font-size="14pt" font-family="Times, serif" font-weight="bold" line-height="50pt" text-align="left">Technical Reports</fo:block>
    <fo:list-block>
       <xsl:for-each select="bibtex:entry/bibtex:techreport">
        <xsl:sort select="bibtex:year" order="descending"/>
          <fo:list-item>
            <fo:list-item-label end-indent="label-end()">
              <fo:block>
                <xsl:number value="position()" format="1. "/>
              </fo:block>
            </fo:list-item-label>
            <fo:list-item-body start-indent="body-start()">
              <fo:block text-align = "justify">
                <xsl:apply-templates select="."/>
              </fo:block>
            </fo:list-item-body>
          </fo:list-item>
     </xsl:for-each>
  </fo:list-block>

</xsl:template>

<xsl:template match="bibtex:article">
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:journal"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
</xsl:template>


<xsl:template match="bibtex:incollection">
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:text>in </xsl:text><xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
</xsl:template>

<xsl:template match="bibtex:inproceedings">
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:text>in </xsl:text><xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
</xsl:template>

<xsl:template match="bibtex:unpublished">
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:howpublished"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:location"/>
<xsl:apply-templates select="bibtex:note"/>
</xsl:template>

<xsl:template match="bibtex:proceedings">
<xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
</xsl:template>

<xsl:template match="bibtex:misc">
<xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:journal"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
</xsl:template>

<xsl:template match="bibtex:techreport">
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:institution"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:year"/>
</xsl:template>


<xsl:template match="bibtex:title">
  &#8220;<xsl:value-of select="."/>&#8221;<xsl:text>, </xsl:text>
</xsl:template>


<xsl:template match="bibtex:booktitle">
<xsl:value-of select="."/><xsl:text>, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:editor">
<xsl:value-of select="."/><xsl:text> (eds), </xsl:text>
</xsl:template>

<xsl:template match="bibtex:journal">
<xsl:value-of select="."/><xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="bibtex:volume">
<xsl:text> </xsl:text>
<fo:inline font-weight="bold"><xsl:value-of select="."/></fo:inline>
</xsl:template>

<xsl:template match="bibtex:publisher">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:number">
(<xsl:value-of select="."/>)
</xsl:template>

<xsl:template match="bibtex:month">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:year">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:location">
<xsl:text>, </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:note">
<xsl:text>, </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:pages">
<xsl:text>, Pp. </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:author[not(empty(./*))]">
<xsl:apply-templates select="bibtex:person"/>
</xsl:template>

<xsl:template match="bibtex:author[empty(./*)]">
<fo:inline font-weight="bold"><xsl:value-of select="."/></fo:inline>
<xsl:text>, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:person[contains(.,'McKay')]">
<fo:inline font-weight="bold"><xsl:value-of select="."/></fo:inline>
<xsl:text>, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:person[not(contains(.,'McKay'))]">
<xsl:value-of select="."/><xsl:text>, </xsl:text>
</xsl:template>


</xsl:stylesheet>
