<?xml version="1.0"?>
<!DOCTYPE stylesheet [
<!ENTITY timestamp SYSTEM "timestamp.txt">
<!ENTITY sq "<xsl:text disable-output-escaping='yes'> &amp;#147; </xsl:text>">
<!ENTITY eq "<xsl:text disable-output-escaping='yes'> &amp;#148; </xsl:text>">
]>
<xsl:stylesheet version="2.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bibtex="http://bibtexml.sf.net/">
<xsl:output method="xml" omit-xml-declaration="yes"
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
  doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>

<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>SNU Structural Complexity Lab: Aims</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1" />
  <link rel="StyleSheet" href="../sc2.css"
 type="text/css" />
</head>
<body>
<table
 style="width: 100%; text-align: left; margin-left: auto; margin-right: auto;"
 border="0" cellpadding="2" cellspacing="2">
  <tbody>
    <tr>
      <td>
      <h2>Seoul National University</h2>
      </td>
      <td style="text-align: right;"><img
 alt="Seoul National University &lt;br/&gt;School of Computer Science &amp; Engineering"
 src="../images/snucse_logo.gif"
 style="width: 395px; height: 81px;" /></td>
    </tr>
    <tr>
      <td colspan="2" rowspan="1">
      <h1>Structural Complexity Laboratory<br />
Publications</h1>
      </td>
    </tr>
  </tbody>
</table>
<p>Note: The link from the title of a paper is to an unauthoritative, pre-review version of the paper. The links at the end of each reference generally point to more authoritative versions, but may have an associated charge.</p>
<p>
If any links are broken, please <script type="text/javascript" language="javascript">
<xsl:comment>
<xsl:text disable-output-escaping="yes">
// Email obfuscator script 2.1 by Tim Williams, University of Arizona
// Random encryption key feature by Andrew Moulden, Site Engineering Ltd
// This code is freeware provided these four comment lines remain intact
// A wizard to generate this code is at http://www.jottings.com/obfuscator/
{ coded = "BpO@aDg.DzF.xa.PB"
key = "jhLzxeyQK8YoriSZMklv3fgm0EHs1BpCcGPRb5WNOqu6DUIXna42J7T9wtdFVA"
shift=coded.length
link=""
for (i=0; i&lt;coded.length; i++) {
if (key.indexOf(coded.charAt(i))==-1) {
ltr = coded.charAt(i)
link += (ltr)
}
else { ltr = (key.indexOf(coded.charAt(i))-shift+key.length) % key.length
link += (key.charAt(ltr))
}
}
document.write("&lt;a href='mailto:"+link+"'&gt;email me&lt;/a&gt;")
}
</xsl:text>
</xsl:comment>
      </script>
      <noscript>Sorry, you need Javascript on to email me.</noscript>

</p>
<xsl:apply-templates select="bibtex:file"/>
<div class="dashedline">
<xsl:text disable-output-escaping='yes'> &amp;nbsp; </xsl:text>
</div>
<p class="footer">Last update: Bob McKay 
<xsl:text disable-output-escaping='yes'> &amp;mdash; </xsl:text> 
&timestamp;
<br />
</p>
<div class="dashedline"><br />

Email Obfuscation courtesy of Tim Williams' <a href="http://www.jottings.com/obfuscator.htm">Link Obfuscator</a><br />
<xsl:text disable-output-escaping='yes'> &amp;nbsp; </xsl:text></div>
</body>
</html>
</xsl:template>

<xsl:template match="bibtex:file">

<h4>Journal Papers</h4>
<ol>
<xsl:apply-templates select="bibtex:entry/bibtex:article">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>
</ol>

<h4>Keynote Addresses etc.</h4>
<ol>
<xsl:apply-templates select="bibtex:entry/bibtex:unpublished">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>
</ol>

<h4>Refereed Book Chapters</h4>
<ol>
<xsl:apply-templates select="bibtex:entry/bibtex:incollection">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>
</ol>

<h4>Refereed Conference Papers</h4>
<ol>
<xsl:apply-templates select="bibtex:entry/bibtex:inproceedings">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>
</ol>

<h4>Books and Conference Proceedings</h4>
<ol>
<xsl:apply-templates select="bibtex:entry/bibtex:proceedings">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>
</ol>

<h4>Edited Journal Issues, Etc.</h4>
<ol>
<xsl:apply-templates select="bibtex:entry/bibtex:misc">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>
</ol>

<h4>Technical Reports</h4>
<ol>
<xsl:apply-templates select="bibtex:entry/bibtex:techreport">
<xsl:sort select="bibtex:year" order="descending"/>
</xsl:apply-templates>
</ol>

</xsl:template>

<xsl:template match="bibtex:article">
<li>
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:journal"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
<xsl:apply-templates select="bibtex:url1"/>
</li>
</xsl:template>

<xsl:template match="bibtex:incollection">
<li>
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:text>in </xsl:text><xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
<xsl:apply-templates select="bibtex:url1"/>
</li>
</xsl:template>

<xsl:template match="bibtex:inproceedings">
<li>
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:text>in </xsl:text><xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:pages"/>
<xsl:apply-templates select="bibtex:url1"/>
</li>
</xsl:template>

<xsl:template match="bibtex:unpublished">
<li>
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:howpublished"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:location"/>
<xsl:apply-templates select="bibtex:note"/>
<xsl:apply-templates select="bibtex:url1"/>
</li>
</xsl:template>

<xsl:template match="bibtex:proceedings">
<li>
<xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:series"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:url1"/>
</li>
</xsl:template>

<xsl:template match="bibtex:misc">
<li>
<xsl:apply-templates select="bibtex:editor"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:journal"/>
<xsl:apply-templates select="bibtex:volume"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:booktitle"/>
<xsl:apply-templates select="bibtex:publisher"/>
<xsl:apply-templates select="bibtex:month"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:url1"/>
</li>
</xsl:template>

<xsl:template match="bibtex:techreport">
<li>
<xsl:apply-templates select="bibtex:author"/>
<xsl:apply-templates select="bibtex:title"/>
<xsl:apply-templates select="bibtex:institution"/>
<xsl:apply-templates select="bibtex:number"/>
<xsl:apply-templates select="bibtex:year"/>
<xsl:apply-templates select="bibtex:url1"/>
</li>
</xsl:template>

<xsl:template match="bibtex:title">
  <xsl:choose>
    <xsl:when test="../bibtex:url">
       &sq;
       <xsl:element name="a">
         <xsl:attribute 
            name="href"><xsl:value-of select="../bibtex:url"/>
         </xsl:attribute>
         <xsl:value-of select="."/>
       </xsl:element>
       &eq;<xsl:text>, </xsl:text>
    </xsl:when>
    <xsl:otherwise>
      &sq;<xsl:value-of select="."/>&eq;<xsl:text>, </xsl:text>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="bibtex:booktitle">
<xsl:value-of select="."/><xsl:text>, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:editor">
<xsl:value-of select="."/><xsl:text> (eds), </xsl:text>
</xsl:template>

<xsl:template match="bibtex:journal">
<xsl:value-of select="."/><xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="bibtex:volume">
<xsl:text> </xsl:text><b><xsl:value-of select="."/></b>
</xsl:template>

<xsl:template match="bibtex:publisher">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:number">
(<xsl:value-of select="."/>)
</xsl:template>

<xsl:template match="bibtex:month">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:year">
<xsl:text> </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:location">
<xsl:text>, </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:note">
<xsl:text>, </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:pages">
<xsl:text>, Pp. </xsl:text><xsl:value-of select="."/>
</xsl:template>

<xsl:template match="bibtex:url1">
    <xsl:element name="a">
         <xsl:attribute 
            name="href"><xsl:value-of select="."/></xsl:attribute>
         <xsl:text> Link</xsl:text>
     </xsl:element>
</xsl:template>

<xsl:template match="bibtex:author[not(empty(./*))]">
<xsl:apply-templates select="bibtex:person"/>
</xsl:template>

<xsl:template match="bibtex:author[empty(./*)]">
<em><xsl:value-of select="."/></em><xsl:text>, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:person[contains(.,'McKay')]">
<em><xsl:value-of select="."/></em><xsl:text>, </xsl:text>
</xsl:template>

<xsl:template match="bibtex:person[not(contains(.,'McKay'))]">
<xsl:value-of select="."/><xsl:text>, </xsl:text>
</xsl:template>

</xsl:stylesheet>
